[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# CompareRect (deprecated)

Deprecated. Indicates if the specified rectangle pointers have the same coordinate values.

## Declaration

Source position: lclproc.pas line 115

`function CompareRect(`
`R1: PRect;`
`R2: PRect`
`):Boolean;`

## Arguments

`R1` |  | Pointer to the first rectangle for the comparison.
`R2` |  | Pointer to the second rectangle for the comparison.

## Function result

True when the top, left, bottom, and right values in each rectangle are the same.

## Version info

Deprecated in LCL version 3.99 (June 2023). Use the SameRect routine in the graphmath.pp unit (LazUtils) instead.